MagicMirror² v2.5.0 is available! For more information about this release, check out this topic.

v2.4.1 git pull && npm install fails



  • Hi,

    MM2 running nicely.

    Trying to upgrade to v2.4.1:

    pi@raspberrypi3:~/MagicMirror $ git reset --hard
       HEAD is now at 6aa156d Merge pull request #1343 from MichMich/develop
    
    pi@raspberrypi3:~/MagicMirror $ git pull && npm install
    error: cannot lock ref 'refs/tags/v2.4.1': unable to resolve reference 'refs/tags/v2.4.1': reference broken
    From https://github.com/MichMich/MagicMirror
     ! [new tag]         v2.4.1     -> v2.4.1  (unable to update local ref)
    

    Any ideas how to fix this, greatly appreciated 🙂

    Thanks in advance.



  • This is still an issue for me.

    Surely I’m not the first to experience this error?

    Should I just delete and reinstall MM2…?

    😞